Bug 2727 - use of netbios name and joining ads fails
use of netbios name and joining ads fails
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.9
All Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-19 06:05 UTC by Rex Dieter
Modified: 2005-10-03 08:21 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rex Dieter 2005-05-19 06:06:00 UTC
In the past, I was able join dual boot (linux,windows) boxes to an NT4 domain,
by modifying the netbios name on the linux side of things using
netbios name = hostname-samba
netbios aliases = hostname
(or something similar to that).  That way, the machine accounts didn't stomp all
over each other.

Now, I'm trying to do the same thing, but with samba-3.0.14a and Active
Directory.  Unfortunately, it doesn't work (in linux using the netbios name trick).
When 
netbios name = hostname-samba
netbios aliases = hostname
is set, 

$ net ads join 
(supposedly) works saying,
Using short domain name -- DOMAIN-AD
Joined 'HOSTNAME-SAMBA' to realm 'DOMAIN.LOCAL'

But subsequently, winbind doesn't authenticate, and testing wbinfo returns errors:
$ wbinfo -t
checking the trust secret via RPC calls failed
error code was STATUS_BUFFER_OVERFLOW (0x80000005)
Could not check secret
Comment 1 Gerald (Jerry) Carter 2005-09-29 09:06:58 UTC
please retest against 3.0.20a (the current SAMBA_3_0_RELEASE branch) which will
publically be availebl next week.
Comment 2 Rex Dieter 2005-10-03 08:21:34 UTC
Confirmed fixed in samba-3.0.20a.  Thanks.